%define	name	planeshift
%define	version	0.2.011
%define	cvsdate	20040210
%define	release	1mdk
%define	Summary	Fantasy MMORPG in a persistent world

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.planeshift.it/
Source0:	%{name}-%{version}-cvs%{cvsdate}.tar.bz2
#Source11:	%{name}-16x16.png
#Source12:	%{name}-32x32.png
#Source13:	%{name}-48x48.png
License:	GPL
Group:		Games/Adventure
Summary:	%{Summary}
BuildRequires:	crystalspace-devel cel-devel boost-jam mysql-devel
BuildRequires:	curl openssl-devel
Requires:	planeshift cel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PlaneShift is a persistent fantasy multiplayer Role Playing Game
with state-of-the-art 3D graphics. Create your character and live
in an ever-changing world. Build with us a Team that will make
PlaneShift THE choice of MMORPG.

%prep
%setup -q -n %{name}
rm -rf `find -type d -name CVS`

%build
./autogen.sh
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
jam -d2 %_smp_mflags -sCRYSTAL.CFLAGS="-I%{_libdir}/crystalspace/include -I%{_includedir}/cel"

%install
%{__rm} -rf $RPM_BUILD_ROOT
jam -d2 -sDESTDIR=$RPM_BUILD_ROOT install

#%{__install} -d $RPM_BUILD_ROOT%{_menudir}
#%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
#?package(%{name}):command="%{_gamesbindir}/%{name}" \
#		icon=%{name}.png \
#		needs="x11" \
#		section="Amusement/Arcade" \
#		title="Planeshift"\
#		longtitle="%{Summary}"
#EOF

#%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
#%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
#%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#%post
#%update_menus

#%postun
#%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
#%{_iconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png
#%{_miconsdir}/%{name}.png
#%{_menudir}/%{name}
%dir %{_libdir}/Planeshift
%{_libdir}/Planeshift/*
%defattr(755,root,root,755)
%{_gamesbindir}/*

%changelog
* Tue Feb 10 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.011-1mdk
- initial mdk release(finally, but more work to be done, stay tune)
